package com.menezes;

import java.io.IOException; 
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader; 
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 *
 * @author jorge
 */
public class MainApp extends Application {
    
    Scene mscene = null;
    Stage mstage = null;
    
    // Dados pertinentes 
       String login_id = "";
            
    
    @Override
    public void start(Stage primaryStage) {
        
        mstage = primaryStage;
         
        FXMLLoader fxml_login = new FXMLLoader( getClass().getResource("login.fxml") );
        try {
            Parent parent = (Parent)fxml_login.load();
            LoginController controller = fxml_login.getController();
            controller.setApplication(this);
            
            mscene = new Scene(parent, 300, 250);
        
            primaryStage.setTitle("Sistemas");
            primaryStage.setScene(mscene);
            primaryStage.show();
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
    
    public void replaceScreen(String login) throws Exception {
        // root.getChildren().removeAll();
        mstage.close();
        
        Stage nstage = new Stage();
        nstage.setTitle("Tela principal");
        
        FXMLLoader fxml_main = new FXMLLoader( getClass().getResource("tela2.fxml") );
        try {
            Parent parent_main = fxml_main.load();
            Tela2Controller controller = fxml_main.getController();
            controller.setApplication(this);
            
            this.login_id = login;
            controller.mlogin.setText(login);
           
            mscene = new Scene(parent_main);
            
            // nstage.setResizable(true);        
            nstage.setMaximized(true);
            nstage.setAlwaysOnTop(false);
            
            nstage.setOnCloseRequest( (w) -> {
               // fecha tudo 
               System.exit(0);
            });
        
            // root.getChildren().removeAll();
            // mstage.close();
            
            Platform.runLater( () -> {                          
                  nstage.setScene(mscene);
                  nstage.show();
            });
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
   
}
