package com.menezes;

import java.io.IOException;
import java.net.URL;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.MenuItem;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.StackPane;

/**
 * FXML Controller class
 *
 * @author jorge
 */
public class Tela2Controller implements Initializable {

    MainApp mainApp = null;
    
    @FXML
    protected MenuItem cr_id;
    @FXML
    protected BorderPane pane_main;
    @FXML
    protected MenuItem cp_id;
    @FXML
    protected Label mlogin;

    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        // TODO
    }    
    
    public void setApplication(MainApp mainApp) {
      this.mainApp = mainApp;
    }

    @FXML
    private void evento_contas_receber(ActionEvent event) {
     Platform.runLater( () -> {  
        try {
            FXMLLoader fxml_cr = new FXMLLoader( getClass().getResource("contasreceber.fxml") );
            Parent parent_cr = (Parent)fxml_cr.load();
            ContasreceberController controller = fxml_cr.getController();
            controller.setApplication(mainApp);
            
            StackPane sp = new StackPane();
            sp.getChildren().add(parent_cr);
            
            pane_main.setCenter(sp);
            
        } catch (IOException ex) {
            ex.printStackTrace();
        }
     });       
    }

    
    @FXML
    private void evento_contas_pagar(ActionEvent event) {
        // se for pra otimizar e deixar as telas abertas
        // nao precisara toda hora ficar chamando FXMLLoader. mesmo pq na mainApp ja tem a referencia 
        // 
     Platform.runLater( () -> {
        try {
            FXMLLoader fxml_cp = new FXMLLoader( getClass().getResource("/com/menezes/contaspagar.fxml") );
            Parent parent_cp = (Parent)fxml_cp.load();
            ContaspagarController controller = fxml_cp.getController();
            controller.setApplication(mainApp);
            
            StackPane sp = new StackPane();
            sp.getChildren().add(parent_cp);
            
            pane_main.setCenter(sp);
            
        } catch (IOException ex) {
            ex.printStackTrace();
        } 
     });   
    }
    
}
