package com.menezes;

import java.io.IOException;
import java.net.URL;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.MenuBar;
import javafx.scene.control.MenuItem;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 * FXML Controller class
 *
 * @author jorge
 */
public class Tela2Controller implements Initializable {

    MainApp mainApp = null;
    
    
    @FXML
    protected MenuBar menuBar;    
    @FXML
    protected MenuItem cr_id;
    @FXML
    protected BorderPane pane_main;
    @FXML
    protected MenuItem cp_id;
    @FXML
    protected Button mlogin;

    
    // caso o MainApp precise ter acesso
        public LoginController login_controller = null;
        public Stage login_stage   = null;  

    
    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        // TODO
    }    
    
    public void setApplication(MainApp mainApp) {
      this.mainApp = mainApp;
      menuBar.setDisable(true);      
    }

    @FXML
    private void evento_contas_receber(ActionEvent event) {
     Platform.runLater( () -> {  
        try {
            FXMLLoader fxml_cr = new FXMLLoader( getClass().getResource("contasreceber.fxml") );
            Parent parent_cr = (Parent)fxml_cr.load();
            ContasreceberController controller = fxml_cr.getController();
            controller.setApplication(mainApp);
            
            StackPane sp = new StackPane();
            sp.getChildren().add(parent_cr);
            
            pane_main.setCenter(sp);
            
        } catch (IOException ex) {
            ex.printStackTrace();
        }
     });       
    }

    
    @FXML
    private void evento_contas_pagar(ActionEvent event) {
        // se for pra otimizar e deixar as telas abertas
        // nao precisara toda hora ficar chamando FXMLLoader. mesmo pq na mainApp ja tem a referencia 
        // 
     Platform.runLater( () -> {
        try {
            FXMLLoader fxml_cp = new FXMLLoader( getClass().getResource("/com/menezes/contaspagar.fxml") );
            Parent parent_cp = (Parent)fxml_cp.load();
            ContaspagarController controller = fxml_cp.getController();
            controller.setApplication(mainApp);
            
            StackPane sp = new StackPane();
            sp.getChildren().add(parent_cp);
            
            pane_main.setCenter(sp);
            
        } catch (IOException ex) {
            ex.printStackTrace();
        } 
     });   
    }

    @FXML
    private void loginAction(ActionEvent event) {
        login_stage = new Stage();
        login_stage.setTitle("Login");
        
        FXMLLoader fxml_login = new FXMLLoader( getClass().getResource("login.fxml") );
        try {
            Parent parent_main = fxml_login.load();
            login_controller = fxml_login.getController();
            login_controller.setApplication(mainApp);
           
            Scene scene_login = new Scene(parent_main, 300, 250);
            
            // nstage.setResizable(true);        
            login_stage.setMaximized(false);
            login_stage.setAlwaysOnTop(true);
            
            login_stage.setOnCloseRequest( (w) -> {                
                login_stage.close();
            });
        
            
            Platform.runLater( () -> {                          
                  login_stage.setScene(scene_login);
                  login_stage.show();
            });
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
}
